Get Statistics For Exteneded Network

Get Statistics For Exteneded Network
Get counters and mac addresses for extended network.

Retrieves traffic statistics and MAC address information for a specific extended network (L2 stretch).

Request
URI
GET
https://{server}/hybridity/api/interconnect/appliances/{applianceId}/statistics/{stretchId}
COPY
Path Parameters
string
applianceId
Required

Unique identifier of the network extension appliance

string
stretchId
Required

Unique identifier of the extended network (L2 stretch)


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved statistics for the extended network

Returns Statistics of type(s) application/json
{
    "stretchId": "string",
    "applianceId": "string",
    "localMacAddresses": [
        "string"
    ],
    "remoteMacAddresses": [
        "string"
    ],
    "counters": {
        "RxPackets": 0,
        "RxPacketErrors": 0,
        "RxPacketDropped": 0,
        "RxPacketOverruns": 0,
        "RxPacketFrame": 0,
        "TxPackets": 0,
        "TxPacketErrors": 0,
        "TxPacketDropped": 0,
        "TxPacketOverruns": 0,
        "TxPacketCarrier": 0,
        "Collisions": 0,
        "TxQueuelen": 0,
        "RxBytes": 0,
        "TxBytes": 0,
        "RxPacketRate": 0,
        "TxPacketRate": 0,
        "RxBitRate": 0,
        "TxBitRate": 0
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
string
stretchId
Optional

stretchId

string
applianceId
Optional

applianceId

array of string
localMacAddresses
Optional

localMacAddresses

array of string
remoteMacAddresses
Optional

remoteMacAddresses

object
counters
Optional

counters

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

500

Internal Server Error

Returns InternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/appliances/{applianceId}/statistics/{stretchId}